Drop stdout when looking for abort messages

Since stdout and stderr aren't synchronised, grepping their combined
output can sometimes fail since the regexp is looking for the start of a
line. Better to discard the stdout, which always works.

Change-Id: I5d0331debfe4b3eddc628c1fecc9c6b83d462a7a
Reviewed-on: https://boringssl-review.googlesource.com/c/boringssl/+/53106
Reviewed-by: David Benjamin <davidben@google.com>
diff --git a/util/fipstools/test-break-kat.sh b/util/fipstools/test-break-kat.sh
index d2c44a7..141e73f 100644
--- a/util/fipstools/test-break-kat.sh
+++ b/util/fipstools/test-break-kat.sh
@@ -32,7 +32,8 @@
 for kat in $KATS; do
   go run util/fipstools/break-kat.go $TEST_FIPS_BIN $kat > break-kat-bin
   chmod u+x ./break-kat-bin
-  if ! (./break-kat-bin 2>&1 || true) | egrep -q "^$kat[^a-zA-Z0-9]"; then
+  if ! (./break-kat-bin 2>&1 >/dev/null || true) | \
+       egrep -q "^$kat[^a-zA-Z0-9]"; then
     echo "Failure for $kat did not mention that name in the output"
     exit 1
   fi